package com.fizz.business.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.fizz.business.domain.SetupTensionAllLine;

/**
 * 全线张力Mapper接口
 */
public interface SetupTensionAllLineMapper
{
    SetupTensionAllLine selectByKey(@Param("steelGrade") String steelGrade,
                                    @Param("thick") Float thick,
                                    @Param("yieldStren") Float yieldStren);

    List<SetupTensionAllLine> selectList(SetupTensionAllLine query);

    int insert(SetupTensionAllLine entity);

    int updateByKey(SetupTensionAllLine entity);

    int deleteByKey(@Param("steelGrade") String steelGrade,
                    @Param("thick") Float thick,
                    @Param("yieldStren") Float yieldStren);
}

